Generate Offer URL Tracking Link
curl --request GET \
--url https://api.eflow.team/v1/networks/offers/{offerId}/trackingdomain/{domainId}/url/{affiliateId}/{urlId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/offers/{offerId}/trackingdomain/{domainId}/url/{affiliateId}/{urlId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/offers/{offerId}/trackingdomain/{domainId}/url/{affiliateId}/{urlId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://www.testtracking.com/26W72JGK/4P81Z17/?uid=1186"
}Tracking Links
Generate Offer URL Tracking Link
GET
/
networks
/
offers
/
{offerId}
/
trackingdomain
/
{domainId}
/
url
/
{affiliateId}
/
{urlId}
Generate Offer URL Tracking Link
Generate a tracking URL for a specific offer, tracking domain, affiliate, and offer URL combination. This is useful for retrieving the exact tracking link that an affiliate would use for a particular offer URL. Optional query parameters allow you to include a traffic source or force a redirect link.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The ID of the offer.
The ID of the tracking domain.
The ID of the affiliate.
The ID of the offer URL. Use 0 to use the default offer URL.
Query Parameters
An optional traffic source ID. When provided, the traffic source parameters will be appended to the tracking URL.
Only relevant for direct linking offers. Can be used to override the default setting and generate a redirect link.
Response
200 - application/json
The generated tracking URL. Includes a uid query parameter referencing the offer URL ID.
Was this page helpful?
